Index: sansmodels/src/sans/models/BinaryHSModel.py
===================================================================
--- sansmodels/src/sans/models/BinaryHSModel.py	(revision 4cbaf3560d19e19647ad025a9ea3239a0d1934a7)
+++ sansmodels/src/sans/models/BinaryHSModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -114,10 +114,10 @@
         return CBinaryHSModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CBinaryHSModel.evalDistribition(self, x)
+        return CBinaryHSModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/BinaryHSPSF11Model.py
===================================================================
--- sansmodels/src/sans/models/BinaryHSPSF11Model.py	(revision 4cbaf3560d19e19647ad025a9ea3239a0d1934a7)
+++ sansmodels/src/sans/models/BinaryHSPSF11Model.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -117,10 +117,10 @@
         return CBinaryHSPSF11Model.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CBinaryHSPSF11Model.evalDistribition(self, x)
+        return CBinaryHSPSF11Model.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/CoreShellCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellCylinderModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/CoreShellCylinderModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -134,10 +134,10 @@
         return CCoreShellCylinderModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CCoreShellCylinderModel.evalDistribition(self, x)
+        return CCoreShellCylinderModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/CoreShellEllipsoidModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellEllipsoidModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/CoreShellEllipsoidModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -129,10 +129,10 @@
         return CCoreShellEllipsoidModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CCoreShellEllipsoidModel.evalDistribition(self, x)
+        return CCoreShellEllipsoidModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/CoreShellModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/CoreShellModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -114,10 +114,10 @@
         return CCoreShellModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CCoreShellModel.evalDistribition(self, x)
+        return CCoreShellModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/CylinderModel.py
===================================================================
--- sansmodels/src/sans/models/CylinderModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/CylinderModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -117,10 +117,10 @@
         return CCylinderModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CCylinderModel.evalDistribition(self, x)
+        return CCylinderModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/DiamCylFunc.py
===================================================================
--- sansmodels/src/sans/models/DiamCylFunc.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/DiamCylFunc.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -98,10 +98,10 @@
         return CDiamCylFunc.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CDiamCylFunc.evalDistribition(self, x)
+        return CDiamCylFunc.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/DiamEllipFunc.py
===================================================================
--- sansmodels/src/sans/models/DiamEllipFunc.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/DiamEllipFunc.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -102,10 +102,10 @@
         return CDiamEllipFunc.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CDiamEllipFunc.evalDistribition(self, x)
+        return CDiamEllipFunc.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/EllipsoidModel.py
===================================================================
--- sansmodels/src/sans/models/EllipsoidModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/EllipsoidModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -121,10 +121,10 @@
         return CEllipsoidModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CEllipsoidModel.evalDistribition(self, x)
+        return CEllipsoidModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/EllipticalCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/EllipticalCylinderModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/EllipticalCylinderModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -113,10 +113,10 @@
         return CEllipticalCylinderModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CEllipticalCylinderModel.evalDistribition(self, x)
+        return CEllipticalCylinderModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/FlexibleCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/FlexibleCylinderModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/FlexibleCylinderModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -106,10 +106,10 @@
         return CFlexibleCylinderModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CFlexibleCylinderModel.evalDistribition(self, x)
+        return CFlexibleCylinderModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/Gaussian.py
===================================================================
--- sansmodels/src/sans/models/Gaussian.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/Gaussian.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -97,10 +97,10 @@
         return CGaussian.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CGaussian.evalDistribition(self, x)
+        return CGaussian.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/HardsphereStructure.py
===================================================================
--- sansmodels/src/sans/models/HardsphereStructure.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/HardsphereStructure.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -106,10 +106,10 @@
         return CHardsphereStructure.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CHardsphereStructure.evalDistribition(self, x)
+        return CHardsphereStructure.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/HayterMSAStructure.py
===================================================================
--- sansmodels/src/sans/models/HayterMSAStructure.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/HayterMSAStructure.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -116,10 +116,10 @@
         return CHayterMSAStructure.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CHayterMSAStructure.evalDistribition(self, x)
+        return CHayterMSAStructure.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/HollowCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/HollowCylinderModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/HollowCylinderModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -112,10 +112,10 @@
         return CHollowCylinderModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CHollowCylinderModel.evalDistribition(self, x)
+        return CHollowCylinderModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/LamellarFFHGModel.py
===================================================================
--- sansmodels/src/sans/models/LamellarFFHGModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/LamellarFFHGModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -112,10 +112,10 @@
         return CLamellarFFHGModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CLamellarFFHGModel.evalDistribition(self, x)
+        return CLamellarFFHGModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/LamellarModel.py
===================================================================
--- sansmodels/src/sans/models/LamellarModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/LamellarModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -109,10 +109,10 @@
         return CLamellarModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CLamellarModel.evalDistribition(self, x)
+        return CLamellarModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/LamellarPSHGModel.py
===================================================================
--- sansmodels/src/sans/models/LamellarPSHGModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/LamellarPSHGModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -129,10 +129,10 @@
         return CLamellarPSHGModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CLamellarPSHGModel.evalDistribition(self, x)
+        return CLamellarPSHGModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/LamellarPSModel.py
===================================================================
--- sansmodels/src/sans/models/LamellarPSModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/LamellarPSModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -122,10 +122,10 @@
         return CLamellarPSModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CLamellarPSModel.evalDistribition(self, x)
+        return CLamellarPSModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/LogNormal.py
===================================================================
--- sansmodels/src/sans/models/LogNormal.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/LogNormal.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -97,10 +97,10 @@
         return CLogNormal.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CLogNormal.evalDistribition(self, x)
+        return CLogNormal.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/Lorentzian.py
===================================================================
--- sansmodels/src/sans/models/Lorentzian.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/Lorentzian.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -97,10 +97,10 @@
         return CLorentzian.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CLorentzian.evalDistribition(self, x)
+        return CLorentzian.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/MultiShellModel.py
===================================================================
--- sansmodels/src/sans/models/MultiShellModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/MultiShellModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -115,10 +115,10 @@
         return CMultiShellModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CMultiShellModel.evalDistribition(self, x)
+        return CMultiShellModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/OblateModel.py
===================================================================
--- sansmodels/src/sans/models/OblateModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/OblateModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -127,10 +127,10 @@
         return COblateModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return COblateModel.evalDistribition(self, x)
+        return COblateModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/ParallelepipedModel.py
===================================================================
--- sansmodels/src/sans/models/ParallelepipedModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/ParallelepipedModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -116,10 +116,10 @@
         return CParallelepipedModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CParallelepipedModel.evalDistribition(self, x)
+        return CParallelepipedModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/ProlateModel.py
===================================================================
--- sansmodels/src/sans/models/ProlateModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/ProlateModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -123,10 +123,10 @@
         return CProlateModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CProlateModel.evalDistribition(self, x)
+        return CProlateModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/Schulz.py
===================================================================
--- sansmodels/src/sans/models/Schulz.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/Schulz.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -99,10 +99,10 @@
         return CSchulz.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CSchulz.evalDistribition(self, x)
+        return CSchulz.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/SphereModel.py
===================================================================
--- sansmodels/src/sans/models/SphereModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/SphereModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -108,10 +108,10 @@
         return CSphereModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CSphereModel.evalDistribition(self, x)
+        return CSphereModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/SquareWellStructure.py
===================================================================
--- sansmodels/src/sans/models/SquareWellStructure.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/SquareWellStructure.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -114,10 +114,10 @@
         return CSquareWellStructure.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CSquareWellStructure.evalDistribition(self, x)
+        return CSquareWellStructure.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/StackedDisksModel.py
===================================================================
--- sansmodels/src/sans/models/StackedDisksModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/StackedDisksModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -123,10 +123,10 @@
         return CStackedDisksModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CStackedDisksModel.evalDistribition(self, x)
+        return CStackedDisksModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/StickyHSStructure.py
===================================================================
--- sansmodels/src/sans/models/StickyHSStructure.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/StickyHSStructure.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -114,10 +114,10 @@
         return CStickyHSStructure.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CStickyHSStructure.evalDistribition(self, x)
+        return CStickyHSStructure.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/TriaxialEllipsoidModel.py
===================================================================
--- sansmodels/src/sans/models/TriaxialEllipsoidModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/TriaxialEllipsoidModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -111,10 +111,10 @@
         return CTriaxialEllipsoidModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CTriaxialEllipsoidModel.evalDistribition(self, x)
+        return CTriaxialEllipsoidModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/VesicleModel.py
===================================================================
--- sansmodels/src/sans/models/VesicleModel.py	(revision c451be953dd7ec3d17683e043145313f5c761ac0)
+++ sansmodels/src/sans/models/VesicleModel.py	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -108,10 +108,10 @@
         return CVesicleModel.runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return CVesicleModel.evalDistribition(self, x)
+        return CVesicleModel.evalDistribution(self, x)
         
     def calculate_ER(self):
Index: sansmodels/src/sans/models/c_models/modelTemplate.txt
===================================================================
--- sansmodels/src/sans/models/c_models/modelTemplate.txt	(revision fe9c19b40dbe89e6d4c6ac8339eb8e3b843f7ab5)
+++ sansmodels/src/sans/models/c_models/modelTemplate.txt	(revision f9a12798ed21a99d4e6b3cc5e5b729ece46cd0bf)
@@ -88,10 +88,10 @@
         return [CPYTHONCLASS].runXY(self, x)
         
-    def evalDistribition(self, x = []):
+    def evalDistribution(self, x = []):
         """ Evaluate the model in cartesian coordinates
             @param x: input q[], or [qx[], qy[]]
             @return: scattering function P(q[])
         """
-        return [CPYTHONCLASS].evalDistribition(self, x)
+        return [CPYTHONCLASS].evalDistribution(self, x)
         
     def calculate_ER(self):
